GNU Radio 2.x: gr_interleave Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_interleave Class Reference
[Signal Processing Blocks]

`#include <gr_interleave.h>`

Inheritance diagram for gr_interleave:

[legend]
Collaboration diagram for gr_interleave:

[legend]
List of all members.

## Detailed Description

interleave N inputs to a single output

## Public Member Functions
| ~gr_interleave ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
| just like gr_block::general_work, only this arranges to call consume_each for you
bool | check_topology (int ninputs, int noutputs)
| Confirm that ninputs and noutputs is an acceptable combination.
## Friends
gr_interleave_sptr | gr_make_interleave (size_t itemsize)

## Constructor & Destructor Documentation

gr_interleave::~gr_interleave | ( |  | ) |

## Member Function Documentation

bool gr_interleave::check_topology | ( | int | ninputs,
|  | int | noutputs
| ) | `[virtual]`

  | Confirm that ninputs and noutputs is an acceptable combination. Parameters:
  | ninputs | number of input streams connected
  | noutputs | number of output streams connected
Returns: true if this is a valid configuration for this block. This function is called by the runtime system whenever the topology changes. Most classes do not need to override this. This check is in addition to the constraints specified by the input and output gr_io_signatures. Reimplemented from gr_block.

int gr_interleave::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) | `[virtual]`

| just like gr_block::general_work, only this arranges to call consume_each for you The user must override work to define the signal processing code Implements gr_sync_block.

## Friends And Related Function Documentation

gr_interleave_sptr gr_make_interleave | ( | size_t | itemsize | ) | `[friend]`

The documentation for this class was generated from the following files:

- gr_interleave.h
- gr_interleave.cc